GetTransaction
Note
End of support notice: Amazon Managed Blockchain will stop accepting new customers on October 29, 2026. Existing customers can continue using Amazon Managed Blockchain until September 29, 2027. After September 29, 2027 you will no longer be able to access Amazon Managed Blockchain. For more information, see Amazon Managed Blockchain availability change.
Gets the details of a transaction.
Note
This action will return transaction details for all transactions that are confirmed on the blockchain, even if they have not reached finality.
Request Syntax
POST /get-transaction HTTP/1.1
Content-type: application/json
{
"network": "string",
"transactionHash": "string",
"transactionId": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- network
-
The blockchain network where the transaction occurred.
Type: String
Valid Values:
ETHEREUM_MAINNET | ETHEREUM_SEPOLIA_TESTNET | BITCOIN_MAINNET | BITCOIN_TESTNETRequired: Yes
- transactionHash
-
The hash of a transaction. It is generated when a transaction is created.
Type: String
Pattern:
(0x[A-Fa-f0-9]{64}|[A-Fa-f0-9]{64})Required: No
- transactionId
-
The identifier of a Bitcoin transaction. It is generated when a transaction is created.
Note
transactionIdis only supported on the Bitcoin networks.Type: String
Pattern:
(0x[A-Fa-f0-9]{64}|[A-Fa-f0-9]{64})Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"transaction": {
"blockHash": "string",
"blockNumber": "string",
"confirmationStatus": "string",
"contractAddress": "string",
"cumulativeGasUsed": "string",
"effectiveGasPrice": "string",
"executionStatus": "string",
"from": "string",
"gasUsed": "string",
"network": "string",
"numberOfTransactions": number,
"signatureR": "string",
"signatureS": "string",
"signatureV": number,
"to": "string",
"transactionFee": "string",
"transactionHash": "string",
"transactionId": "string",
"transactionIndex": number,
"transactionTimestamp": number
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- transaction
-
Contains the details of the transaction.
Type: Transaction object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The AWS account doesn’t have access to this resource.
- message
-
The container for the exception message.
HTTP Status Code: 403
- InternalServerException
-
The request processing has failed because of an internal error in the service.
- message
-
The container for the exception message.
- retryAfterSeconds
-
Specifies the
retryAfterSecondsvalue.
HTTP Status Code: 500
- ResourceNotFoundException
-
The resource was not found.
- message
-
The container for the exception message.
- resourceId
-
The
resourceIdof the resource that caused the exception. - resourceType
-
The
resourceTypeof the resource that caused the exception.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The service quota has been exceeded for this resource.
- message
-
The container for the exception message.
- quotaCode
-
The container for the
quotaCode. - resourceId
-
The
resourceIdof the resource that caused the exception. - resourceType
-
The
resourceTypeof the resource that caused the exception. - serviceCode
-
The container for the
serviceCode.
HTTP Status Code: 402
- ThrottlingException
-
The request or operation couldn't be performed because a service is throttling requests. The most common source of throttling errors is when you create resources that exceed your service limit for this resource type. Request a limit increase or delete unused resources, if possible.
- message
-
The container for the exception message.
- quotaCode
-
The container for the
quotaCode. - retryAfterSeconds
-
The container of the
retryAfterSecondsvalue. - serviceCode
-
The container for the
serviceCode.
HTTP Status Code: 429
- ValidationException
-
The resource passed is invalid.
- fieldList
-
The container for the
fieldListof the exception. - message
-
The container for the exception message.
- reason
-
The container for the reason for the exception
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: